<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'accounting',

    /*
     * Package.
     */
    'package'   => 'invoice',

    /*
     * Modules.
     */
    'modules'   => ['invoice'],

    
    'invoice'       => [
        'model' => [
            'model' => \Accounting\Invoice\Models\Invoice::class,
            'repository' => \Accounting\Invoice\Repositories\Eloquent\InvoiceRepository::class,
            'table' => 'invoices',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'invoice_number',  'restaurant_id',  'pay_period_type',  'debit',  'credit',  'payment_due',  'status',  'pay_period_start',  'pay_period_end',  'description',  'total_orders',  'cancelled_orders',  'refund_orders',  'created_at',  'updated_at',  'deleted_at',  'PRIMARY'],
            'translatables' => [],
            'upload_folder' => 'invoice/invoice',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Accounting',
            'package' => 'Invoice',
            'module' => 'Invoice',
        ],
    ],
];
