<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateInvoicesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: invoices
         */
        Schema::create('invoices', function ($table) {
            $table->increments('id');
            $table->integer('invoice_number')->nullable();
            $table->integer('restaurant_id')->nullable();
            $table->enum('pay_period_type', ['Monthly','Weekly'])->nullable();
            $table->double('debit', 24,2)->nullable();
            $table->double('credit', 24,2)->nullable();
            $table->double('payment_due', 24,2)->nullable();
            $table->enum('status', ['Pending','Processing','Complete'])->nullable();
            $table->package::package.fieldtype._date('pay_period_start')->nullable();
            $table->package::package.fieldtype._date('pay_period_end')->nullable();
            $table->text('description')->nullable();
            $table->integer('total_orders')->nullable();
            $table->integer('cancelled_orders')->nullable();
            $table->integer('refund_orders')->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('invoices');
    }
}
