<?php

namespace Accounting\Invoice\Seeds;

use DB;
use Illuminate\Database\Seeder;

class InvoiceTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('invoices')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'invoice.invoice.view',
                'name'      => 'View Invoice',
            ],
            [
                'slug'      => 'invoice.invoice.create',
                'name'      => 'Create Invoice',
            ],
            [
                'slug'      => 'invoice.invoice.edit',
                'name'      => 'Update Invoice',
            ],
            [
                'slug'      => 'invoice.invoice.delete',
                'name'      => 'Delete Invoice',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'invoice.invoice.verify',
                'name'      => 'Verify Invoice',
            ],
            [
                'slug'      => 'invoice.invoice.approve',
                'name'      => 'Approve Invoice',
            ],
            [
                'slug'      => 'invoice.invoice.publish',
                'name'      => 'Publish Invoice',
            ],
            [
                'slug'      => 'invoice.invoice.unpublish',
                'name'      => 'Unpublish Invoice',
            ],
            [
                'slug'      => 'invoice.invoice.cancel',
                'name'      => 'Cancel Invoice',
            ],
            [
                'slug'      => 'invoice.invoice.archive',
                'name'      => 'Archive Invoice',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/invoice/invoice',
                'name'        => 'Invoice',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/invoice/invoice',
                'name'        => 'Invoice',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'invoice',
                'name'        => 'Invoice',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Invoice',
                'module'    => 'Invoice',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'invoice.invoice.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
