<?php

namespace Accounting\Invoice\Repositories\Eloquent;

use Accounting\Invoice\Interfaces\InvoiceRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Accounting\Invoice\Repositories\Eloquent\Presenters\InvoiceItemPresenter;


class InvoiceRepository extends BaseRepository implements InvoiceRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('accounting.invoice.invoice.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('accounting.invoice.invoice.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return InvoiceItemPresenter::class;
    }
}
