<?php

namespace Accounting\Invoice\Workflow;

use Accounting\Invoice\Models\Invoice;
use Accounting\Invoice\Notifications\InvoiceWorkflow as InvoiceNotifyer;
use Notification;

class InvoiceNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Invoice $invoice
     *
     * @return void
     */
    public function complete(Invoice $invoice)
    {
        return Notification::send($invoice->user, new InvoiceNotifyer($invoice, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Invoice $invoice
     *
     * @return void
     */
    public function verify(Invoice $invoice)
    {
        return Notification::send($invoice->user, new InvoiceNotifyer($invoice, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Invoice $invoice
     *
     * @return void
     */
    public function approve(Invoice $invoice)
    {
        return Notification::send($invoice->user, new InvoiceNotifyer($invoice, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Invoice $invoice
     *
     * @return void
     */
    public function publish(Invoice $invoice)
    {
        return Notification::send($invoice->user, new InvoiceNotifyer($invoice, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Invoice $invoice
     *
     * @return void
     */
    public function archive(Invoice $invoice)
    {
        return Notification::send($invoice->user, new InvoiceNotifyer($invoice, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Invoice $invoice
     *
     * @return void
     */
    public function unpublish(Invoice $invoice)
    {
        return Notification::send($invoice->user, new InvoiceNotifyer($invoice, 'unpublish'));;

    }
}
